package io.tswf.groovy.bettergroovy.asm.transmutation.annotation

import io.tswf.groovy.bettergroovy.asm.transmutation.injection.points.LocalVariableCallType

import java.lang.annotation.ElementType
import java.lang.annotation.Retention
import java.lang.annotation.RetentionPolicy
import java.lang.annotation.Target

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@interface AtLocalVariableCall {
    LocalVariableCallType callType()
    int index()
    ClassReference variableType()
}