package io.tswf.groovy.bettergroovy.asm.transmutation.injection.points

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.transmutation.meta.TransmutationMethodMetadata
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import org.objectweb.asm.tree.AbstractInsnNode
import org.objectweb.asm.tree.AnnotationNode
import org.objectweb.asm.tree.MethodNode

interface ITransmutationInjectionPoint {
    AbstractInsnNode findNextNodeNearInject(InjectionPointSearchContext context)
}

@CheckedMapConstructor
@CompileStatic
class InjectionPointSearchContext {
    MethodNode transmutationTargetMethodNode
    AbstractInsnNode insnFromSearch
}