package io.tswf.groovy.bettergroovy.asm.transmutation.injection.points

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.transmutation.annotation.AtThrow

@AutoService(ITransmutationInjectionPoint)
@CompileStatic
class ThrowTransmutationInjectionPoint extends AbstractInsnTransmutationInjectionPoint {

    ThrowTransmutationInjectionPoint() {
        super([ ATHROW ])
    }
}
