package io.tswf.groovy.bettergroovy.asm.transmutation.injection.reader

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.transmutation.injection.points.ITransmutationInjectionPoint
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import org.objectweb.asm.tree.AnnotationNode

@CompileStatic
interface IInjectionPointReader {
    void handleInjectionPointReading(InjectionPointReadingContext context)
    Class getMarkerAnnotationClass()
}

@CheckedMapConstructor
@CompileStatic
class InjectionPointReadingContext {
    AnnotationNode annotationNodeFromRead
    ITransmutationInjectionPoint result = null
}