package io.tswf.groovy.bettergroovy.asm.transmutation.injection.reader

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.transmutation.meta.TransmutationMethodMetadata
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor

interface IPreInjectionHooksReader {
    void handlePreInjectionHooksReading(PreInjectionHooksReadingContext readingContext)
}

@CheckedMapConstructor
@CompileStatic
class PreInjectionHooksReadingContext {
    TransmutationMethodMetadata transmutationMetadata
}